%define release	7

%define major	0
%define libname	%mklibname %{name} %{major}
%define devname	%mklibname -d %{name}

Name:           t4k_common
Version:        0.1.1
Release:        %mkrel %{release}
Summary:        Tux4Kids common files
Group:          Games/Other
License:        GPLv3+
URL:            http://tux4kids.alioth.debian.org
# have to change with each new release as the number after download.php changes :(
Source0:        http://alioth.debian.org/frs/download.php/3439/%{name}-%{version}.tar.gz
Patch0:		t4k_common-0.1.1-libpng15.patch
BuildRequires:	SDL-devel
BuildRequires:	SDL_mixer-devel
BuildRequires:	SDL_image-devel
BuildRequires:	SDL_Pango-devel
BuildRequires:	SDL_net-devel
BuildRequires:	librsvg2-devel
BuildRequires:  libxml2-devel
BuildRequires:	cairo-devel
BuildRequires:	png-devel

%description
Files shared by tuxmath, tuxtype, and possibly other Tux4Kids
apps in the future.

%package -n %{libname}
Summary:        Library of code shared between Tux4Kids apps
Group:          System/Libraries

%description -n %{libname}
Library of code shared by tuxmath, tuxtype, and possibly other tux4kids
apps in the future.

%package -n %{devname}
Summary:        Development files for %{name}
Group:          Development/Other
Requires:       %{libname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{devname}
This package contains libraries and header files for developing applications
that use %{libname}.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0

%build
%configure2_5x \
	--disable-static \
	--disable-rpath \
	--disable-doxygen-doc
%make

%install
%makeinstall_std

# we don't want these
find %{buildroot} -name '*.la' -exec rm -f {} ';'

%files
%{_datadir}/%{name}

%files -n %{libname}
%doc README
%{_libdir}/lib%{name}.so.%{major}*

%files -n %{devname}
%{_includedir}/*.h
%{_libdir}/lib%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Feb 06 2016 umeabot <umeabot> 0.1.1-7.mga6
+ Revision: 940079
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.1.1-6.mga5
+ Revision: 741532
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.1-5.mga5
+ Revision: 689675
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.1.1-4.mga4
+ Revision: 525907
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.1.1-3.mga4
+ Revision: 434967
- rebuild for new libpng

* Mon Jan 14 2013 umeabot <umeabot> 0.1.1-2.mga3
+ Revision: 383999
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 18 2011 fwang <fwang> 0.1.1-1.mga2
+ Revision: 144823
- fix file list
- fix file list
- fix build with latest png
- new version 0.1.1
- rebuild for new libpng

* Sun Mar 27 2011 anaselli <anaselli> 0.0.3-1.mga1
+ Revision: 78091
- imported package t4k_common


* Fri Dec 24 2010 Jani Välimaa <wally@mandriva.org> 0.0.3-1mdv2011.0
+ Revision: 624602
- import t4k_common

